%define Werror_cflags %nil
%define _disable_ld_no_undefined 1
%define _disable_ld_as_needed 1

Summary:        A free chess program, plays a decent game of chess
Name:           crafty
Version:        23.4
Release:        %mkrel 7
License:        Freeware, but restricted - consult the source code before use
Group:          Games/Boards
URL:            http://www.cis.uab.edu/info/faculty/hyatt/hyatt.html

Source0:        ftp://ftp.cis.uab.edu/pub/hyatt/source/%{name}-%{version}.zip
Source1:        http://www.craftychess.com/book.bin
Source2:        ftp://ftp.cis.uab.edu/pub/hyatt/book/books.bin
Source3:        ftp://ftp.cis.uab.edu/pub/hyatt/book/bookc.bin

Patch0:         crafty-opensuse-23.2-fix-Makefile.patch
Patch1:         crafty-opensuse-23.2-setup-paths.patch
Patch2:         crafty-opensuse-debian-23.2-security-203541.patch

%description
Crafty is a chess program written by Bob Hyatt <hyatt at cis.uab.edu>.
It is a direct descendent of Cray Blitz, the World Computer Champion
from 1983 to 1989.

It comes with a text interface like gnuchess does. If you want a graphical
interface, you can install GUI chessboards such as xboard or eboard.

Crafty is based on the classic BITMAP approach to representing the chess
board, but uses a unique methodology called "rotated bitmaps" to
significantly improve the performance of the chess engine.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build

%ifarch x86_64 amd64
make CFLAGS="%{optflags}" linux-amd64
%else
make CFLAGS="%{optflags}" linux
%endif

%install
install -D -m 755 %{name} %{buildroot}%{_gamesbindir}/%{name}

# opening book
install -D -m 644 %{_sourcedir}/book.bin %{buildroot}%{_gamesdatadir}/%{name}/book.bin
install -D -m 644 %{_sourcedir}/books.bin %{buildroot}%{_gamesdatadir}/%{name}/books.bin
install -D -m 644 %{_sourcedir}/bookc.bin %{buildroot}%{_gamesdatadir}/%{name}/bookc.bin

%files
%doc %{name}.hlp
%{_gamesbindir}/*
%{_gamesdatadir}/*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 23.4-7.mga5
+ Revision: 744582
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 23.4-6.mga5.nonfree
+ Revision: 678582
- Mageia 5 Mass Rebuild

* Tue May 06 2014 shlomif <shlomif> 23.4-5.mga5.nonfree
+ Revision: 620886
- Correct some typos + retab

* Thu Oct 31 2013 tmb <tmb> 23.4-4.mga4.nonfree
+ Revision: 548346
- Mageia 4 rebuild

* Fri Jan 11 2013 umeabot <umeabot> 23.4-3.mga3.nonfree
+ Revision: 348294
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 kamil <kamil> 23.4-2.mga3.nonfree
+ Revision: 324383
- rebuild for Mga3 Beta1

* Thu Jul 19 2012 kamil <kamil> 23.4-1.mga3.nonfree
+ Revision: 272362
- use the newest book.bin books.bin and bookc.bin
- update license
- delete all old patches
- import new patches (P0, P1, P2) from opensuse, and rediff
- install only the binary and book
- adapt spec for Mageia
- imported package crafty


* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 19.19-5mdv2009.0
+ Revision: 243725
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue Dec 18 2007 Thierry Vignaud <tvignaud@mandriva.com> 19.19-3mdv2008.1
+ Revision: 132778
- patch 0: fix compiling on x86_64
- kill re-definition of %%buildroot on Pixel's request
- import crafty


* Thu Jul 14 2005 Abel Cheung <deaddog@mandriva.org> 19.19-3mdk
- Update Patch0 to use Mandriva optimization flag for CXFLAGS
- Patch 3: Read computer and small opening book from shared folder
- Patch 41: Fix compiler warnings
- Patch 42: Split book initialization into function, otherwise using
  "book on" won't initialize it properly
- Patch 43-45: Plug some memory leaks and segfaults

* Tue Jul 05 2005 Abel Cheung <deaddog@mandriva.org> 19.19-2mdk
- Fix help file patch
- Consolidate Patch10 into Patch0
- Incorporate lots of stuff from Debian, including patch and manpage
  Thanks to Eric Van Buggenhaut <ericvb@debian.org>

* Sat Jun 11 2005 Abel Cheung <deaddog@mandriva.org> 19.19-1mdk
- New version
- Rediff Patch1 & Patch10
- Patch11: Fix compilation for gcc 4.0

* Thu Jul 15 2004 Abel Cheung <deaddog@deaddog.org> 19.15-1mdk
- New version
- Retouch P0
- P1: read help file in shared folder, not $cwd
- P10: don't add smp and i686 flags in default build
- Fix license (it's for non-commercial use)
- Use optimized make target for alpha, amd64 and i686
- It doesn't need xboard to work
- Provides chessengine
- S10: go to ~/.crafty/ before executing crafty, since
  it reads and writes everything inside $cwd by default
- S11: include prebuilt opening books
- S12: include readme

* Fri Jul 02 2004 Lenny Cartier <lenny@mandrakesoft.com> 19.1-4mdk
- rebuild

* Fri Nov 28 2003 Franck Villaume <fvill@freesurf.fr> 19.1-3mdk
- add linux-sparc support :)

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 19.1-2mdk
- rebuild

* Mon Oct 28 2002 Lenny Cartier <lenny@mandrakesoft.com> 19.1-1mdk
- back, 19.1 

* Fri Jun 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.9-1mdk
- updated to 18.9

* Thu Mar 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.7-1mdk 
- updated to 18.7

* Wed Mar 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.6-1mdk
- updated to 18.6

* Thu Feb 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 18.3-1mdk
- updated to 18.3

* Thu Jan 04 2001 David BAUDENS <baudens@mandrakesoft.com> 17.7-4mdk
- ExcludeArch ppc
- Don't build for i686 on i586

* Tue Aug 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 17.7-3mdk
- BM

* Tue Apr 25 2000 Lenny Cartier <lenny@mandrakesoft.com>  17.7-2mdk
- fix group
- spec helper fixes

* Wed Feb 09 2000 Lenny Cartier <lenny@mandrakesoft.com>
- mandrake build
- v17.7
- add docs

* Fri Mar 19 1999 Konstantin L. Metlov <metlov@fzu.cz>
- updated for Crafty 16.6
- moved tablebase directory to /usr/share/games/crafty . 
